/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/

/*
    Created on : Oct 22, 2016, 6:50:23 PM
    Author     : azman
*/

[ng\:cloak],
[ng-cloak],
[data-ng-cloak],
[x-ng-cloak],
.ng-cloak,
.x-ng-cloak {
    display: none !important;
}

html,
body {
    width: 100%;
    height: 100%;
    /* background: #e8eaf6; */
    -webkit-font-smoothing: antialiased;
    /*    overflow-y: hidden;
    overflow-x: hidden;*/
}

.barcode-text {
    font-family: 'Libre Barcode 39 Text', cursive;
    font-size: 40px;
}

.toolbar-name {
    font-family: 'Megrim', cursive;
    font-size: 28px;
    /* text-align: center; */
}

.particles-panel {
    text-align: center;
    /* font-family: 'Source Sans Pro'; */
    /* font-size: 1.3em; */
    position: absolute;
    z-index: 10;
    width: 50%;
    /* height: 220px; */
    /* background: #eee; */
    top: 30%;
    left: 25%;
    /* margin: -110px 0 0 -100px; */
    /* padding: 20px; */
    /* border-radius: 4px; */
    /* box-sizing: border-box; */
    z-index: 100;
}

md-content.no-scroll {
    overflow: hidden;
    overflow-y: hidden;
    overflow-x: hidden;
}

md-tooltip ._md-content {
    height: auto;
}

.my-internal-page {
    padding-bottom: 450px;
}

.no-padding {
    padding: 0;
}

md-card md-card-title {
    padding: 16px;
    background-color: #E0E0E0;
}

.my-login-panel {
    /*    background-color: #666;*/
}

.my-main-title {
    color: #fff;
}

.my-sub-title {
    font-size: 15px;
}

.my-loading {
    z-index: 999;
    width: 100%;
    height: auto;
    /*    position: relative;*/
    left: 50%;
}

.my-big-text,
.my-small-text {
    display: block;
    text-align: center;
}

.my-big-text {
    font-size: 22px;
    font-weight: bold;
}

.my-small-text {
    color: #E0E0E0;
}

.my-list-header {}

.my-project-name-text,
.my-project-agency,
.my-project-status {
    font-size: 13px;
}

.my-project-name-text {
    margin-top: 5px;
}

.my-project-status {
    margin-top: 5px;
    margin-bottom: 5px;
}

md-list-item.md-3-line .md-list-item-text p.my-project-list-name {
    font-weight: bold;
}

md-list-item.md-3-line .md-list-item-text p.my-project-list-agency {
    padding: 3px 0;
    color: rgba(0, 0, 0, 0.44);
    font-size: 12px !important;
}

md-list-item.md-3-line .md-list-item-text p.my-project-list-status {
    margin-bottom: 5px;
}

md-list-item.md-3-line .md-list-item-text p.my-app-list {
    padding: 3px 0;
    color: rgba(0, 0, 0, 0.44);
    font-size: 12px !important;
}

md-list-item.md-3-line .md-list-item-text p.my-complaint-list {
    padding: 3px 0;
    color: rgba(0, 0, 0, 0.44);
    font-size: 12px !important;
}

md-icon {
    cursor: pointer;
}

md-icon:hover,
md-icon:focus,
md-icon:active,
md-icon:visited {
    border: none;
    outline: none;
}

#my-petunjuk {
    padding: 10px;
}

.my-petunjuk-list {
    display: inline-block;
    margin: 0px 15px;
}

.my-petunjuk-text {
    display: inline-block;
    margin-left: 5px;
    height: 34px;
    color: #808080;
    font-size: 14px;
    text-align: start;
}

.my-welcome {
    /*    width: 100%;
    height: 100%;*/
}

.chart {
    width: 100%;
    min-height: 450px;
}

/*Label*/

.label {
    background-color: #f5f5f5;
    color: #303641;
    cursor: default;
    font-weight: 700;
    padding: 4px 10px;
}

.label {
    /*    display: inline;*/
    font-size: 75%;
    /*    line-height: 1;*/
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}

.label.label-primary {
    background-color: #303641;
    color: #fff;
}

.label.label-success {
    background-color: #a2d200;
    color: #fff;
}

.label.label-info {
    background-color: #22beef;
    color: #fff;
}

.label.label-warning {
    background-color: #ffab12;
    color: #fff;
}

.label.label-danger {
    background-color: #f56954;
    color: #fff;
}

/**********
 * Dialog *
 **********/

md-dialog.big-dialog {
    max-height: 98%;
    max-width: 98%;
    height: 98%;
    width: 98%;
}

md-dialog.medium-dialog {
    /*max-height: 50%;*/
    max-width: 80%;
    /*height: 98%;*/
    width: 80%;
}

md-dialog.small-dialog {
    /*max-height: 50%;*/
    max-width: 50%;
    /*height: 98%;*/
    width: 50%;
}

/*Tile*/

.tile {
    background-color: #f5f5f5;
    color: #fff;
    margin-bottom: 30px;
    overflow: hidden;
    position: relative;
}

.tile.tile-blue,
.tile.tile-progress.tile-blue,
.tile.tile-state.tile-blue,
.tile.tile-title.tile-blue {
    background-color: #0073b7;
}

.tile.tile-state.tile-blue:hover,
.tile.tile-title.tile-blue .title,
.tile.tile-title.tile-blue:hover {
    background-color: #0066a3;
}

.tile.tile-cyan,
.tile.tile-progress.tile-cyan,
.tile.tile-state.tile-cyan,
.tile.tile-title.tile-cyan {
    background-color: #22beef;
}

.tile.tile-state.tile-cyan:hover,
.tile.tile-title.tile-cyan .title,
.tile.tile-title.tile-cyan:hover {
    background-color: #11b7ec;
}

.tile.tile-green,
.tile.tile-progress.tile-green,
.tile.tile-state.tile-green,
.tile.tile-title.tile-green {
    background-color: #a2d200;
}

.tile.tile-state.tile-green:hover,
.tile.tile-title.tile-green .title,
.tile.tile-title.tile-green:hover {
    background-color: #92be00;
}

.tile.tile-progress.tile-yellow,
.tile.tile-state.tile-yellow,
.tile.tile-title.tile-yellow,
.tile.tile-yellow {
    background-color: #ffdc00;
}

.tile.tile-state.tile-yellow:hover,
.tile.tile-title.tile-yellow .title,
.tile.tile-title.tile-yellow:hover {
    background-color: #ebca00;
}

.tile.tile-orange,
.tile.tile-progress.tile-orange,
.tile.tile-state.tile-orange,
.tile.tile-title.tile-orange {
    background-color: #ffab12;
}

.tile.tile-state.tile-orange:hover,
.tile.tile-title.tile-orange .title,
.tile.tile-title.tile-orange:hover {
    background-color: #fda300;
}

.tile.tile-pink,
.tile.tile-progress.tile-pink,
.tile.tile-state.tile-pink,
.tile.tile-title.tile-pink {
    background-color: #ec3b83;
}

.tile.tile-state.tile-pink:hover,
.tile.tile-title.tile-pink .title,
.tile.tile-title.tile-pink:hover {
    background-color: #ea2877;
}

.tile.tile-amethyst,
.tile.tile-progress.tile-amethyst,
.tile.tile-state.tile-amethyst,
.tile.tile-title.tile-amethyst {
    background-color: #ba79cb;
}

.tile.tile-state.tile-amethyst:hover,
.tile.tile-title.tile-amethyst .title,
.tile.tile-title.tile-amethyst:hover {
    background-color: #b26ac5;
}

.tile.tile-black,
.tile.tile-progress.tile-black,
.tile.tile-state.tile-black,
.tile.tile-title.tile-black {
    background-color: #303641;
}

.tile.tile-state.tile-black:hover,
.tile.tile-title.tile-black .title,
.tile.tile-title.tile-black:hover {
    background-color: #272c35;
}

.tile.tile-gray,
.tile.tile-progress.tile-gray,
.tile.tile-state.tile-gray,
.tile.tile-title.tile-gray {
    color: #3d3d3d;
    background-color: #f5f5f5;
}

.tile.tile-state.tile-gray:hover,
.tile.tile-title.tile-gray .title,
.tile.tile-title.tile-gray:hover {
    background-color: #ebebeb;
}

.tile.tile-state {
    -webkit-border-radius: 5px;
    -webkit-background-clip: padding-box;
    -moz-border-radius: 5px;
    -moz-background-clip: padding;
    border-radius: 5px;
    background-clip: padding-box;
    -moz-transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
    -o-transition: all .3s ease-in-out;
    transition: all .3s ease-in-out;
    padding: 10px;
    background-color: #f5f5f5;
    position: relative;
    display: block;
    overflow: hidden;
    color: #fff;
}

.tile.tile-state .num {
    font-size: 38px;
    font-weight: 700;
}

.tile.tile-state .num,
.tile.tile-state h3,
.tile.tile-state p {
    color: inherit;
    padding: 0;
    position: relative;
    margin: 0;
    z-index: 5;
}

.tile.tile-state p {
    font-size: 12px;
}

/**************
 * Datatables *
 **************/

md-toolbar.md-table-toolbar.ng-hide {
    display: none;
}

md-toolbar.md-table-toolbar.alternate .md-toolbar-tools {
    color: #1e88e5;
    font-size: 16px;
    background-color: #e3f2fd;
}

md-toolbar.md-table-toolbar form {
    margin-left: 16px;
    margin-bottom: 0px;
}

md-toolbar.md-table-toolbar form>input {
    width: 100%;
    margin: 0;
    border: none;
    color: rgba(0, 0, 0, 0.87);
}

md-toolbar.md-table-toolbar form>input:focus {
    outline: none;
}

.ml-5 {
    margin-left: 5px;
  }

  .ml-10 {
    margin-left: 10px;
  }

  .mt-5 {
    margin-top: 5px;
  }

  .mt-10 {
    margin-top: 10px;
  }

/*****
Card
*****/

.cardContent {
    min-height: 60px;
}

.cardTextType {
    font-size: 0.9em;
    color: #495057;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    font-weight: 400;
}

.cardTextPrice {
    /* font-size: 1.2em; */
    color: #495057;
    /* font-weight: 700; */
}

.cardTextElapsed {
  color: slategray;
}

.cardTextTitle {
    font-size: 0.9em !important;
    word-wrap: break-word !important;
    line-height: 1.2em !important;
    letter-spacing: undefined !important;
    padding-top: 0px !important;
    padding-bottom: 0px !important;
    color: slategray;
    font-weight: 300 !important;
}

.cardTextExtra {
    font-size: 0.8em !important;
    color: slategray;
    padding-top: 10px !important;
    padding-bottom: 0px !important;
    font-weight: 300 !important;
}